/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-01-30
 * 描述            ：检验委托信息主表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.qcm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.qcm.mapper.IfJhySampleInfoMMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="IF_JHY_SAMPLE_INFO_M", namespace=IfJhySampleInfoMMapper.class)
public class IfJhySampleInfoM extends BaseVO implements Serializable {
	/** 
	 * 试样号
	 */ 
	@Id
	private String smp_no;
	public String getSmp_no() {
		return this.smp_no;
	}
	public void setSmp_no(String smp_no) {
		this.smp_no = smp_no;
	}

	/** 
	 * 取样编号
	 */ 
	@Id
	private String specimen_no;
	public String getSpecimen_no() {
		return this.specimen_no;
	}
	public void setSpecimen_no(String specimen_no) {
		this.specimen_no = specimen_no;
	}

	/** 
	 * 炉号（取样频次='408601',炉号不能为空）
	 */ 
	@Column
	private String heat_no;
	public String getHeat_no() {
		return this.heat_no;
	}
	public void setHeat_no(String heat_no) {
		this.heat_no = heat_no;
	}

	/** 
	 * 轧批号
	 */ 
	@Column
	private String batch_no;
	public String getBatch_no() {
		return this.batch_no;
	}
	public void setBatch_no(String batch_no) {
		this.batch_no = batch_no;
	}

	/** 
	 * 检验号(取样频次='408602',检验批号不能为空）
	 */ 
	@Column
	private String inspection_lot;
	public String getInspection_lot() {
		return this.inspection_lot;
	}
	public void setInspection_lot(String inspection_lot) {
		this.inspection_lot = inspection_lot;
	}

	/** 
	 * 取样频次代码
	 */ 
	@Column
	private String freq_code;
	public String getFreq_code() {
		return this.freq_code;
	}
	public void setFreq_code(String freq_code) {
		this.freq_code = freq_code;
	}

	/** 
	 * 取样频次名称
	 */ 
	@Column
	private String freq_name;
	public String getFreq_name() {
		return this.freq_name;
	}
	public void setFreq_name(String freq_name) {
		this.freq_name = freq_name;
	}

	/** 
	 * 取样材料号
	 */ 
	@Column
	private String material_no;
	public String getMaterial_no() {
		return this.material_no;
	}
	public void setMaterial_no(String material_no) {
		this.material_no = material_no;
	}

	/** 
	 * 样品类型代码
	 */ 
	@Column
	private String smp_type_code;
	public String getSmp_type_code() {
		return this.smp_type_code;
	}
	public void setSmp_type_code(String smp_type_code) {
		this.smp_type_code = smp_type_code;
	}

	/** 
	 * 样品类型名称
	 */ 
	@Column
	private String smp_type_name;
	public String getSmp_type_name() {
		return this.smp_type_name;
	}
	public void setSmp_type_name(String smp_type_name) {
		this.smp_type_name = smp_type_name;
	}

	/** 
	 * 委托编号（产线简写标识（COM_BASE_PLINE.PLINE_ABBR）+2位年月日+4位流水）
	 */ 
	@Column
	private String consign_no;
	public String getConsign_no() {
		return this.consign_no;
	}
	public void setConsign_no(String consign_no) {
		this.consign_no = consign_no;
	}

	/** 
	 * 委托编号序号（同组号向下流水）
	 */ 
	@Column
	private Long consign_no_seq;
	public Long getConsign_no_seq() {
		return this.consign_no_seq;
	}
	public void setConsign_no_seq(Long consign_no_seq) {
		this.consign_no_seq = consign_no_seq;
	}

	/** 
	 * 试验次数
	 */ 
	@Column
	private Long test_qty;
	public Long getTest_qty() {
		return this.test_qty;
	}
	public void setTest_qty(Long test_qty) {
		this.test_qty = test_qty;
	}

	/** 
	 * 取样数量
	 */ 
	@Column
	private Long smp_qty;
	public Long getSmp_qty() {
		return this.smp_qty;
	}
	public void setSmp_qty(Long smp_qty) {
		this.smp_qty = smp_qty;
	}

	/** 
	 * 母板号（取样频次='408603',不可为空,按母板取样）
	 */ 
	@Column
	private String board_no;
	public String getBoard_no() {
		return this.board_no;
	}
	public void setBoard_no(String board_no) {
		this.board_no = board_no;
	}

	/** 
	 * 初样取样编号（复样不能为空）
	 */ 
	@Column
	private String old_consign_no;
	public String getOld_consign_no() {
		return this.old_consign_no;
	}
	public void setOld_consign_no(String old_consign_no) {
		this.old_consign_no = old_consign_no;
	}

	/** 
	 * 产线代码
	 */ 
	@Column
	private String pline_code;
	public String getPline_code() {
		return this.pline_code;
	}
	public void setPline_code(String pline_code) {
		this.pline_code = pline_code;
	}

	/** 
	 * 产线描述
	 */ 
	@Column
	private String pline_name;
	public String getPline_name() {
		return this.pline_name;
	}
	public void setPline_name(String pline_name) {
		this.pline_name = pline_name;
	}

	/** 
	 * 状态(0,待接收,1,已接收,2,已确认,3,已完成,4,已关闭) （1，3检化验系统写，2，4质量系统写）


检化验系统
1、实时扫描中间表状态位=‘0’的记录，检化验系统拿走后变更状态为‘1’；
2、结果报出后写入中间结果表，同时更新委托中间表主记录状态为‘3’；


质量系统
1、实时扫描委托中间表状态=‘1’的记录，如果存在，更新业务表中状态为‘2’同时更新中间表记录状态=‘2’
2、实时扫描委托中间表状态=‘3’的记录，如果存在，获取记录对应的结果，写入检验结果表，同时更新委托业务表记录状态=‘3’再更新委托中间表记录状态=‘4'
	 */ 
	@Column
	private String status;
	public String getStatus() {
		return this.status;
	}
	public void setStatus(String status) {
		this.status = status;
	}

	/** 
	 * 品名代码
	 */ 
	@Column
	private String prod_code;
	public String getProd_code() {
		return this.prod_code;
	}
	public void setProd_code(String prod_code) {
		this.prod_code = prod_code;
	}

	/** 
	 * 品名描述
	 */ 
	@Column
	private String prod_name;
	public String getProd_name() {
		return this.prod_name;
	}
	public void setProd_name(String prod_name) {
		this.prod_name = prod_name;
	}

	/** 
	 * 标准代码
	 */ 
	@Column
	private String std_code;
	public String getStd_code() {
		return this.std_code;
	}
	public void setStd_code(String std_code) {
		this.std_code = std_code;
	}

	/** 
	 * 标准名称
	 */ 
	@Column
	private String std_name;
	public String getStd_name() {
		return this.std_name;
	}
	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	/** 
	 * 钢级(牌号)代码
	 */ 
	@Column
	private String steel_code;
	public String getSteel_code() {
		return this.steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	/** 
	 * 钢级(牌号)名称
	 */ 
	@Column
	private String steel_name;
	public String getSteel_name() {
		return this.steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}

	/** 
	 * 厚度(mm)
	 */ 
	@Column
	private Double thick;
	public Double getThick() {
		return this.thick;
	}
	public void setThick(Double thick) {
		this.thick = thick;
	}

	/** 
	 * 宽度(mm)
	 */ 
	@Column
	private Double width;
	public Double getWidth() {
		return this.width;
	}
	public void setWidth(Double width) {
		this.width = width;
	}

	/** 
	 * 长度
	 */ 
	@Column
	private Long length;
	public Long getLength() {
		return this.length;
	}
	public void setLength(Long length) {
		this.length = length;
	}

	/** 
	 * 发送人
	 */ 
	@Column
	private String send_name;
	public String getSend_name() {
		return this.send_name;
	}
	public void setSend_name(String send_name) {
		this.send_name = send_name;
	}

	/** 
	 * 发送时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date send_time;
	public Date getSend_time() {
		return this.send_time;
	}
	public void setSend_time(Date send_time) {
		this.send_time = send_time;
	}

	/** 
	 * 接收人
	 */ 
	@Column
	private String affirm_name;
	public String getAffirm_name() {
		return this.affirm_name;
	}
	public void setAffirm_name(String affirm_name) {
		this.affirm_name = affirm_name;
	}

	/** 
	 * 接收时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date affirm_time;
	public Date getAffirm_time() {
		return this.affirm_time;
	}
	public void setAffirm_time(Date affirm_time) {
		this.affirm_time = affirm_time;
	}

	/** 
	 * 验收备注
	 */ 
	@Column
	private String check_memo;
	public String getCheck_memo() {
		return this.check_memo;
	}
	public void setCheck_memo(String check_memo) {
		this.check_memo = check_memo;
	}

}
